<?php

require_once 'AnomaliesFeatureStyles.class.inc';
require_once dirname($_SERVER['SCRIPT_FILENAME']) . '/class/vitis_lib/Connection.class.inc';

/**
 * \file AnomaliesFeatureStyle.class.inc
 * \class AnomaliesFeatureStyle
 *
 * \author Ludivine Premont <ludivine.premont@veremes.com>.
 *
 *   \brief This file contains the AnomaliesFeatureStyle php class
 *
 * This class defines operation for one AnomaliesFeatureStyle
 *
 */
class AnomaliesFeatureStyle extends Vitis {

  public $oError;

  /**
   * construct
   * @param type $aPath url of the request
   * @param type $aValues parameters of the request
   * @param type $properties properties
   * @param type $bShortcut false to reinit variables
   * @param type $oConnection connection object
   */
  function __construct($aPath, $aValues, $properties, $bShortcut = false, $oConnection = false) {
    parent::__construct($aPath, $aValues, $properties, $bShortcut, $oConnection);
    $this->aSelectedFields = Array(
      'anomalies_feature_style_id',
      'theme_name',
      'status_name',
      'feature_style_id',
      'draw_color',
      'draw_outline_color',
      'draw_size',
      'draw_dash',
      'draw_symbol',
      'draw_rotation',
      'image',
      'text_font',
      'text_color',
      'text_outline_color',
      'text_size',
      'text_outline_size',
      'text_offset_x',
      'text_offset_y',
      'text_rotation',
      'text_text'
    );
  }

  /**
   * @SWG\Get(path="/anomaliesfeaturestyles/{anomalies_feature_style_id}",
   *   tags={"AnomaliesFeatureStyles"},
   *   summary="Get AnomaliesFeatureStyle",
   *   description="Request to get AnomaliesFeatureStyle by id",
   *   operationId="GET",
   *   produces={"application/xml", "application/json"},
   *   @SWG\Parameter(
   *     name="token",
   *     in="query",
   *     description="user token",
   *     required=true,
   *     type="string"
   *   ),
   * @SWG\Parameter(
   *     name="anomalies_feature_style_id",
   *     in="path",
   *     description="anomalies_feature_style_id",
   *     required=true,
   *     type="integer",
   *   format="int32"
   *   ),
   * @SWG\Parameter(
   *     name="attributs",
   *     in="query",
   *     description="list of attributs",
   *     required=false,
   *     type="string"
   *   ),
   *   @SWG\Response(
   *         response=200,
   *         description="Poprerties Response",
   *         @SWG\Schema(ref="#/definitions/anomaliesfeaturestyle")
   *     )
   *  )
   */

  /**
   * get informations about mode
   */
  function GET() {
    require dirname($_SERVER['SCRIPT_FILENAME']) . "/ws/vitis/" . $this->sRessourcesFile;
    $this->aFields = $this->getFields($this->aProperties['schema_anomalies'], "v_anomalies_feature_style", "anomalies_feature_style_id");
  }
}

?>